- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSDipBlockSolver Class Reference

`#include <OSDipBlockSolver.h>`

Inheritance diagram for OSDipBlockSolver:

[legend]
Collaboration diagram for OSDipBlockSolver:

[legend]
List of all members.

## Public Member Functions
virtual void | solve (double *cost, std::vector< IndexValuePair * > *solIndexValPair, double *optVal)=0
virtual void | solve (double *cost, std::string *osrl)=0
| OSDipBlockSolver ()
| Default Constructor.
virtual | ~OSDipBlockSolver ()=0
| Default destructor.
## Public Attributes
double * | m_cost
| m_cost is the objective function of (reduced) coefficients
SparseVector * | m_sparseVec
| m_sparseVec is the column found by solving the block optimization problem
double | m_optVal
| m_optVal is the optimal objective function value of the block optimization problem
int | m_whichBlock
| m_whichBlock is the index of the subproblem we are working with

## Detailed Description

Definition at line 42 of file OSDipBlockSolver.h.

## Constructor & Destructor Documentation

OSDipBlockSolver::OSDipBlockSolver | ( |  | ) |

Default Constructor.

Definition at line 21 of file OSDipBlockSolver.cpp.

OSDipBlockSolver::~OSDipBlockSolver | ( |  | ) | `[pure virtual]`

Default destructor.

Definition at line 27 of file OSDipBlockSolver.cpp.

## Member Function Documentation

virtual void OSDipBlockSolver::solve | ( | double * | cost,
|  | std::vector< IndexValuePair * > * | solIndexValPair,
|  | double * | optVal |
| ) |  |  | `[pure virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | cost | -- an input value: pointer to the objective function (reduced) coefficients.
  | sv | -- a return value: sparse vector with the optimal column
  | optVal | -- a return value: the optimal solution value of the subproblem

Implemented in OSDipBlockBearcatSolver, OSDipBlockCoinSolver, and OSDipBlockSlpSolver.

virtual void OSDipBlockSolver::solve | ( | double * | cost,
|  | std::string * | osrl |
| ) |  |  | `[pure virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | cost | -- an input value: pointer to the objective function (reduced) coefficients.
  | osrl | -- a return value: an osrl string

Implemented in OSDipBlockBearcatSolver, OSDipBlockCoinSolver, and OSDipBlockSlpSolver.

## Member Data Documentation

double* OSDipBlockSolver::m_cost

m_cost is the objective function of (reduced) coefficients

Definition at line 50 of file OSDipBlockSolver.h.

SparseVector* OSDipBlockSolver::m_sparseVec

m_sparseVec is the column found by solving the block optimization problem

Definition at line 55 of file OSDipBlockSolver.h.

double OSDipBlockSolver::m_optVal

m_optVal is the optimal objective function value of the block optimization problem

Definition at line 60 of file OSDipBlockSolver.h.

int OSDipBlockSolver::m_whichBlock

m_whichBlock is the index of the subproblem we are working with

Definition at line 66 of file OSDipBlockSolver.h.

Referenced by OSDipApp::initializeApp(), OSDipBlockBearcatSolver::OSDipBlockBearcatSolver(), and OSDipBlockBearcatSolver::solve().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osDip/OSDipBlockSolver.h
- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osDip/OSDipBlockSolver.cpp